 IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[ENT_YBBYS_LABORATUVAR_TETKIK_LISTESI]') AND OBJECTPROPERTY(id,N'IsVIew') = 1)
BEGIN
    INSERT INTO SCRIPT_BACKUPS (SCRIPTNAME,SCRIPT,SCRIPTDATE) SELECT 'ENT_YBBYS_LABORATUVAR_TETKIK_LISTESI' SCRIPTNAME,OBJECT_DEFINITION(OBJECT_ID('ENT_YBBYS_LABORATUVAR_TETKIK_LISTESI')) AS SCRIPT,GETDATE() AS SCRIPTDATE
    DROP VIEW ENT_YBBYS_LABORATUVAR_TETKIK_LISTESI
END
go

CREATE VIEW  ENT_YBBYS_LABORATUVAR_TETKIK_LISTESI 
AS
 SELECT TETKIKTURADI, VWTETKIK_MUAYENE.HKIMLIKID [KimlikEntegreReferansKodu],VWTETKIK_MUAYENE.HDOSYAID [HbysDosyaId],
 GIRISTARIH,LITEMADI ISLEMADI,LUYGBOLUM,LISTBOLUM,VWTETKIK_MUAYENE.RAPORBASLIK,OLCUM,BIRIM,SONUCY,VWTETKIK_MUAYENE.SONUCTARIH,MIND,MIND2,MAXD,MAXD2,REFD,
 VWTETKIK_MUAYENE.EK1,UYARIISRT,VWTETKIK_MUAYENE.HTETKIKID,
 VWTETKIK_MUAYENE.HTRAPORU,VWTETKIK_MUAYENE.HTSONUC,VWTETKIK_MUAYENE.LSIRA,SIRANO,VWHESAPISL.ITEMKODU2 SUTKODU
 
  FROM  VWTETKIK_MUAYENE WITH(NOLOCK) 
  INNER JOIN HTETKIK  WITH(NOLOCK)   ON HTETKIK.HTETKIKID=VWTETKIK_MUAYENE.HTETKIKID
  INNER JOIN VWHESAPISL WITH(NOLOCK)   ON HTETKIK.HESAPISLID=VWHESAPISL.HESAPISLID  
 --INNER JOIN (
 --            SELECT TOP 20 HTETKIKID FROM VWTETKIK WITH(NOLOCK)              
 --             WHERE HKIMLIKID = 728499 ORDER BY GIRISTARIH DESC,HTETKIKID, LSIRA
	--		 ) Q ON Q.HTETKIKID = VWTETKIK_MUAYENE.HTETKIKID 
	WHERE  VWTETKIK_MUAYENE.DURUM = 2 AND RAPORDAGORUNSUN = 1
AND 1=1


--select * from ENT_YBBYS_LABORATUVAR_TETKIK_LISTESI where KimlikEntegreReferansKodu=727686 and [HbysDosyaId]=3443343
-- ORDER BY GIRISTARIH DESC,[KimlikEntegreReferansKodu], HTETKIKID,LSIRA,RAPORBASLIK, SIRANO


